Update a shared link
Regional
us.api.brault.app— follows the region selector in the top barFields are applied in a fixed order and the first failure stops the sequence — the fields already applied stay applied. Re-read the link to see its state.
Authorization
apiKey AuthorizationBearer <token>
API key from Settings → Developers
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/shared-links/string" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "shared_link", "id": "string", "url": "string", "target": { "type": "file", "id": "string" }, "access": "view", "password_protected": true, "expires_at": "2019-08-24T14:15:22Z", "expired": true, "anonymous_comments": true, "show_versions": true, "show_properties": true, "display_mode": "grid", "board_views": { "default": "gallery", "allowed": [ "gallery" ] }, "view_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "created_by_id": "string"}